Index: contrib/crossrpms/rtems4.10/arm/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/arm/gdb-sources.add	(revision a477ed00a77c8acbf9d4382fba4dcfed34dcb868)
+++ contrib/crossrpms/rtems4.10/arm/gdb-sources.add	(revision 6bb79ac8a097d9a91e40bb3bc07a06d808d67e30)
@@ -1,5 +1,5 @@
-%if "%{gdb_version}" == "7.0.90"
-Source0: ftp://sourceware.org/pub/gdb/snapshots/branch/gdb-7.0.90.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.0.90-rtems4.10-20100225.diff
+%if "%{gdb_version}" == "7.1"
+Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
 %endif
 
Index: contrib/crossrpms/rtems4.10/avr/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/avr/gdb-sources.add	(revision a477ed00a77c8acbf9d4382fba4dcfed34dcb868)
+++ contrib/crossrpms/rtems4.10/avr/gdb-sources.add	(revision 6bb79ac8a097d9a91e40bb3bc07a06d808d67e30)
@@ -1,5 +1,5 @@
-%if "%{gdb_version}" == "7.0.90"
-Source0: ftp://sourceware.org/pub/gdb/snapshots/branch/gdb-7.0.90.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.0.90-rtems4.10-20100225.diff
+%if "%{gdb_version}" == "7.1"
+Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
 %endif
 
Index: contrib/crossrpms/rtems4.10/h8300/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/gdb-sources.add	(revision a477ed00a77c8acbf9d4382fba4dcfed34dcb868)
+++ contrib/crossrpms/rtems4.10/h8300/gdb-sources.add	(revision 6bb79ac8a097d9a91e40bb3bc07a06d808d67e30)
@@ -1,5 +1,5 @@
-%if "%{gdb_version}" == "7.0.90"
-Source0: ftp://sourceware.org/pub/gdb/snapshots/branch/gdb-7.0.90.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.0.90-rtems4.10-20100225.diff
+%if "%{gdb_version}" == "7.1"
+Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
 %endif
 
Index: contrib/crossrpms/rtems4.10/i386/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/i386/gdb-sources.add	(revision a477ed00a77c8acbf9d4382fba4dcfed34dcb868)
+++ contrib/crossrpms/rtems4.10/i386/gdb-sources.add	(revision 6bb79ac8a097d9a91e40bb3bc07a06d808d67e30)
@@ -1,5 +1,5 @@
-%if "%{gdb_version}" == "7.0.90"
-Source0: ftp://sourceware.org/pub/gdb/snapshots/branch/gdb-7.0.90.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.0.90-rtems4.10-20100225.diff
+%if "%{gdb_version}" == "7.1"
+Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
 %endif
 
Index: contrib/crossrpms/rtems4.10/lm32/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/lm32/gdb-sources.add	(revision a477ed00a77c8acbf9d4382fba4dcfed34dcb868)
+++ contrib/crossrpms/rtems4.10/lm32/gdb-sources.add	(revision 6bb79ac8a097d9a91e40bb3bc07a06d808d67e30)
@@ -1,5 +1,5 @@
-%if "%{gdb_version}" == "7.0.90"
-Source0: ftp://sourceware.org/pub/gdb/snapshots/branch/gdb-7.0.90.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.0.90-rtems4.10-20100225.diff
+%if "%{gdb_version}" == "7.1"
+Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
 %endif
 
Index: contrib/crossrpms/rtems4.10/m32c/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/m32c/gdb-sources.add	(revision a477ed00a77c8acbf9d4382fba4dcfed34dcb868)
+++ contrib/crossrpms/rtems4.10/m32c/gdb-sources.add	(revision 6bb79ac8a097d9a91e40bb3bc07a06d808d67e30)
@@ -1,5 +1,5 @@
-%if "%{gdb_version}" == "7.0.90"
-Source0: ftp://sourceware.org/pub/gdb/snapshots/branch/gdb-7.0.90.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.0.90-rtems4.10-20100225.diff
+%if "%{gdb_version}" == "7.1"
+Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
 %endif
 
Index: contrib/crossrpms/rtems4.10/m32r/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/m32r/gdb-sources.add	(revision a477ed00a77c8acbf9d4382fba4dcfed34dcb868)
+++ contrib/crossrpms/rtems4.10/m32r/gdb-sources.add	(revision 6bb79ac8a097d9a91e40bb3bc07a06d808d67e30)
@@ -1,5 +1,5 @@
-%if "%{gdb_version}" == "7.0.90"
-Source0: ftp://sourceware.org/pub/gdb/snapshots/branch/gdb-7.0.90.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.0.90-rtems4.10-20100225.diff
+%if "%{gdb_version}" == "7.1"
+Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
 %endif
 
Index: contrib/crossrpms/rtems4.10/m68k/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/gdb-sources.add	(revision a477ed00a77c8acbf9d4382fba4dcfed34dcb868)
+++ contrib/crossrpms/rtems4.10/m68k/gdb-sources.add	(revision 6bb79ac8a097d9a91e40bb3bc07a06d808d67e30)
@@ -1,5 +1,5 @@
-%if "%{gdb_version}" == "7.0.90"
-Source0: ftp://sourceware.org/pub/gdb/snapshots/branch/gdb-7.0.90.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.0.90-rtems4.10-20100225.diff
+%if "%{gdb_version}" == "7.1"
+Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
 %endif
 
Index: contrib/crossrpms/rtems4.10/mips/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/mips/gdb-sources.add	(revision a477ed00a77c8acbf9d4382fba4dcfed34dcb868)
+++ contrib/crossrpms/rtems4.10/mips/gdb-sources.add	(revision 6bb79ac8a097d9a91e40bb3bc07a06d808d67e30)
@@ -1,5 +1,5 @@
-%if "%{gdb_version}" == "7.0.90"
-Source0: ftp://sourceware.org/pub/gdb/snapshots/branch/gdb-7.0.90.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.0.90-rtems4.10-20100225.diff
+%if "%{gdb_version}" == "7.1"
+Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
 %endif
 
Index: contrib/crossrpms/rtems4.10/mipstx39/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/mipstx39/gdb-sources.add	(revision a477ed00a77c8acbf9d4382fba4dcfed34dcb868)
+++ contrib/crossrpms/rtems4.10/mipstx39/gdb-sources.add	(revision 6bb79ac8a097d9a91e40bb3bc07a06d808d67e30)
@@ -1,5 +1,5 @@
-%if "%{gdb_version}" == "7.0.90"
-Source0: ftp://sourceware.org/pub/gdb/snapshots/branch/gdb-7.0.90.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.0.90-rtems4.10-20100225.diff
+%if "%{gdb_version}" == "7.1"
+Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
 %endif
 
Index: contrib/crossrpms/rtems4.10/powerpc/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/gdb-sources.add	(revision a477ed00a77c8acbf9d4382fba4dcfed34dcb868)
+++ contrib/crossrpms/rtems4.10/powerpc/gdb-sources.add	(revision 6bb79ac8a097d9a91e40bb3bc07a06d808d67e30)
@@ -1,5 +1,5 @@
-%if "%{gdb_version}" == "7.0.90"
-Source0: ftp://sourceware.org/pub/gdb/snapshots/branch/gdb-7.0.90.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.0.90-rtems4.10-20100225.diff
+%if "%{gdb_version}" == "7.1"
+Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
 %endif
 
Index: contrib/crossrpms/rtems4.10/sh/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/sh/gdb-sources.add	(revision a477ed00a77c8acbf9d4382fba4dcfed34dcb868)
+++ contrib/crossrpms/rtems4.10/sh/gdb-sources.add	(revision 6bb79ac8a097d9a91e40bb3bc07a06d808d67e30)
@@ -1,5 +1,5 @@
-%if "%{gdb_version}" == "7.0.90"
-Source0: ftp://sourceware.org/pub/gdb/snapshots/branch/gdb-7.0.90.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.0.90-rtems4.10-20100225.diff
+%if "%{gdb_version}" == "7.1"
+Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
 %endif
 
Index: contrib/crossrpms/rtems4.10/sparc/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/gdb-sources.add	(revision a477ed00a77c8acbf9d4382fba4dcfed34dcb868)
+++ contrib/crossrpms/rtems4.10/sparc/gdb-sources.add	(revision 6bb79ac8a097d9a91e40bb3bc07a06d808d67e30)
@@ -1,5 +1,5 @@
-%if "%{gdb_version}" == "7.0.90"
-Source0: ftp://sourceware.org/pub/gdb/snapshots/branch/gdb-7.0.90.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.0.90-rtems4.10-20100225.diff
+%if "%{gdb_version}" == "7.1"
+Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
 %endif
 
